/* i2c.h - I2C definitions and prototypes.
 *  Copyright (C) 2022 by Jed Marti
 *   This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see https://www.gnu.org/licenses/.
 */


#ifndef i2c_h
#define i2c_h

// I2C state.
enum {
  I2CIDLE,
  I2CBUSY,
  I2CNACK,
  I2CERR
};

void initI2C(void);
void sendI2C(uint8_t cmd, uint8_t b1, uint8_t b2);
void sendI2C16(uint8_t cmd, uint16_t v);
void sendI2C8(uint8_t cmd, uint8_t b);
void readI2C8(uint8_t reg, uint8_t *b1);
void readI2C16(uint8_t reg, uint8_t *b1, uint8_t *b2);

#endif



// EOF
